## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanTransformer::EnsureDestroyDocumentBuilder Struct Reference

`#include <XalanTransformer.hpp>`

Collaboration diagram for XalanTransformer::EnsureDestroyDocumentBuilder:

List of all members.

## Public Methods

- EnsureDestroyDocumentBuilder ( XalanTransformer& theTransformer, XalanDocumentBuilder* theDocumentBuilder)
- ~EnsureDestroyDocumentBuilder ()

## Constructor & Destructor Documentation

XalanTransformer::EnsureDestroyDocumentBuilder::EnsureDestroyDocumentBuilder ( | XalanTransformer & theTransformer,
| XalanDocumentBuilder * theDocumentBuilder )

XalanTransformer::EnsureDestroyDocumentBuilder::~EnsureDestroyDocumentBuilder ( | )`[]`

The documentation for this struct was generated from the following file:

- XalanTransformer.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.